Subject: Re: Subentries: Need for a control to access?

From: "Ed Reed" <[email-masked]>
Date: Fri, 20 Aug 1999 16:53:13 -0600

I've revised it to use Mark's suggestion, which more clearly
describes the desired behavior...

"LDAP servers SHOULD implement the following special handling of lDAPsubEntry entries:"

=================
Ed Reed, Technologist
Novell Product Management
+1 801 222 3944 (new number!)

>>> Mark Smith <[email-masked]> 08/20/1999 15:43:44 >>>
"Kurt D. Zeilenga" wrote:
> 
> At 03:03 PM 8/20/99 -0600, Ed Reed wrote:
> >So, I'm proposing that the NOTE be changed to read...
> >
> >"NOTE:  No special treatment of LDAP Subentries by applications
> >or directory services is required.  However, servers which DO provide
> >special handling MUST do so in the following way:
> 
> Is there an overriding reason why this must be a MUST?  I'd
> much prefer a "SHOULD".

I think it would be a good idea to encourage everyone to support special
handling of LDAP Subentries.  I'd like to see the entire "NOTE" replaced
by a SHOULD, e.g.,:

"Servers SHOULD implement the following special handling of LDAPsubentry
entries: ..."

This still leaves room for a particular implementation to not support
the special handling specified in the draft or to do something else
instead if there is a valid reason to do so.

-- 
Mark Smith
iPlanet Directory Architect / Sun-Netscape Alliance
My words are my own, not my employer's.   Got LDAP?